$(document).ready(function(){
    
    $(".nav-main li a").on("click", function(e) {
        e.preventDefault();
        $("html, body").animate({
          scrollTop: $($(this).attr("href")).offset().top
        }, 1000);
    });
    
    $('body').on('click', function(){
        $('.header-main .nav-main').hide();
    });
    
    $('.btn-nav').on('click', function(e){
        e.preventDefault();
        e.stopPropagation();
        $('.header-main .nav-main').fadeToggle(200); 
    });
    
    $('.owl-carousel').owlCarousel({
        loop:true,
        margin:150,
        nav:true,
        items:1
    });
    
    AOS.init({
        duration: 1000,
        disable: 'mobile'
    });
    
    /* begin popup scripts */
    
    $('.js-btn-master').on('click', function(e){
        e.preventDefault();
        $('.overlay').fadeIn(200);
        $('.popup-master').fadeIn(200);
    });
    
    $('.js-btn-zayavka').on('click', function(e){
        e.preventDefault();
        $('.overlay').fadeIn(200);
        $('.popup-zayavka').fadeIn(200);
    });
    
    $('.close-popup').on('click', function(e){
        e.preventDefault();
        $('.overlay').fadeOut(200);
        $('.popup').fadeOut(200);
    });
    
    $(document).on('keyup',function(evt) {
        if (evt.keyCode == 27) {
            $('.overlay').fadeOut(200);
            $('.popup').fadeOut(200);
        }
    });
    
    /* end popup scripts */
    
    $('.btn-popup').on('click', function(e){
        var id = $(this).attr('data-form')
        var namec = $('.name-input'+id).val();
        var phonec = $('.phone-input'+id).val();

        $.post( "sendEmail.php", { name: namec, phone: phonec })
        .done(function( data ) {
            alert( "Заявка отправлена");
        });

    });
    
    
    $('.cityBtn').on('click', function(e){
        var placemark = new YMaps.Placemark(new YMaps.GeoPoint(37.609218,55.753559), {hideIcon: false});
        myMap.geoObjects.add(placemark);
    });
});

